/* Variables */
:root {
    --ghost-white: #f4f4f8;
    --seasalt: #f7f9f9;
    --bone: #EDEDE9;
    --french-gray: #bbbac6;
    --navy: #273043;
    --blue: #80E4FF;
    --tomato: #E26D5C;
    --mustard: #fed766;
    --dijon: #FFE1A8;
    --moonstone: #07b2c5;
    --blueberry: #3989C9;
    --space-cadet: #25283d;
    --plum: #BDA0BC;
}

/* Base styles */
body {
    color: var(--space-cadet);
    font-family: Helvetica, Arial, sans-serif;
    font-size: 1.35rem;
    text-align: center;
    letter-spacing: -.25px;
    margin: 0;
    position: relative;
}
main {
    background-color: var(--bone);
}
header, 
main,
footer {
    position: relative;
    z-index: 1;
}

.peekaboo {
    position: fixed;
    bottom: 0;
    z-index: 0;
    width: 100%;
    height: 300px;
    background: url(img/peekaboo.svg) bottom center no-repeat;
    background-size: contain;
}



p {
    line-height: 1.675;
}

a {
    color: var(--navy);
    text-decoration: none;
    border-bottom: 3px solid var(--blue);
}

a:hover,
a:active {
    border-color: var(--navy);
    background-color: var(--blue);
    outline: 3px solid var(--blue);
}

a:focus {
    background: var(--mustard);
    border: none;
    outline: 3px solid var(--navy);
    outline-offset: 1px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Chelsea Market', sans-serif;
    font-weight: normal;
}

h1 {
    background-color: var(--navy);
    border-radius: .25rem;
    color: #fff;
    display: inline-block;
    padding: .5rem;
    transform: rotate(-3deg);
    font-size: 3rem;
}

header {
    background: url(img/doodle-bg.svg)no-repeat;
    background-position: center center;
    background-size: cover;
    margin: 0;
    padding: 3rem 1rem;
    border-bottom: 6px solid var(--navy);
}

.container {
    width: 100%;
    max-width: 50em;
    margin: 0 auto;
    padding: 1rem;
    text-align: left;
    display: block;
    box-sizing: border-box;
}

footer {
    background: var(--navy);
    color: var(--bone);
}

footer a {
    color: var(--blue);
    border-color: var(--plum);
}

footer a:hover,
footer a:active {
    color: var(--navy);
    background-color: var(--ghost-white);
    outline: 3px solid var(--ghost-white);
}

footer a:focus {
    background: var(--mustard);
    border: none;
    outline: 3px solid var(--mustard);
    outline-offset: 0px;
}

.portrait {
    border-radius: 100%;
    float: right;
    width: 33.3%;
    max-width: 300px;
    margin: 0 0 1.5em 1.5em;
    border: 6px solid var(--navy);
}

.breadcrumb {
    font-size: .85rem;
}


/* Card grid */
.parent {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 21px;
    grid-row-gap: 21px;
}

/* Portfolio specific stuff */

/* -----------------------------------
	FILTER WIDGET
 ----------------------------------- */
#filters {
    text-align: center;
    margin: 10px;
    width: 100%;
}

#filters button {
    margin: 5px;
    text-decoration: none;
    background: var(--blue);
    color: #000;
    padding: 10px 20px;
    display: inline-block;
    border-radius: 5px;
    font-size: 1.35rem;
    border: none;
}

#filters button:hover,
#filters button:focus {
    background: var(--navy);
    color: var(--ghost-white);
    outline: none;
}

#filters button.current {
    background-color: var(--navy);
    color: var(--ghost-white);
}



#card-grid {
    width: 100%;
    columns: 240px;
    column-gap: 20px;
    padding: 1rem;
    box-sizing: border-box;
}

#card-grid article {
    padding: 20px;
    border: 1px solid black;
    -webkit-column-break-inside: avoid;
    break-inside: avoid-column;
    margin-bottom: 1rem;
    border-radius: 3px;
    background: #fff;
    border-radius: 3px;
    text-align: left;
    max-width: 240px;
}

a.fancybox-close {border: none; border-radius: 100%;}
a.fancybox-close:focus {background-blend-mode: multiply; outline: 3px solid var(--mustard);}
a.fancybox-nav {background-color: transparent; border: none; outline: none;}
.fancybox-title {font-size: 1em; line-height: 1.5em;}


/* -----------------------------------
     ISOTOPE GRID LAYOUT - Mobile
  ----------------------------------- */
/* #card-grid {
    -webkit-columns: 200px;
    columns: 200px;
    -webkit-column-gap: 20px;
   column-gap: 20px;
   margin: 1em auto;
   border: 1px solid #F1F0EA;
   max-width: 1200px;
 }
 
 #card-grid article {
   -webkit-column-break-inside: avoid;
   break-inside: avoid-column;
   margin: .25rem;
   padding: 20px;
   border: 1px solid #ccc;
   border-radius: 3px;
   background: #fff;
   max-width: 200px;
   text-align: left;
 }
  */
#card-grid article h3 {
    font-size: 1.35rem;
    font-weight: normal;
}

#card-grid article img {
    width: 100%;
    height: auto;
}

#card-grid article .noborder {
    border-bottom: none;
}

/* .portfolioContainer div {width: 100%; border: none; background: #e5e5e5; margin: 0 0.5% 1% 0.5%; text-align: left; }
 .portfolioContainer div img {margin: 2%; width: 96%;}
 .portfolioContainer div h3 {margin:10px; font-weight: normal; color: #421c77; font-size: 1.5em;}
 .portfolioContainer div p {margin: 0 10px 10px 10px;} */

@media only screen and (max-width: 1100px) {
    #card-grid article {
        max-width: 200px;
    }
}

@media only screen and (max-width: 600px) {
    #card-grid article {
        max-width: 80%
    }
}

/* -----------------------------------
     ISOTOPE TRANSITIONS
  ----------------------------------- */
.isotope-item {
    z-index: 2;
}

.isotope-hidden.isotope-item {
    pointer-events: none;
    z-index: 1;
}

.isotope,
.isotope .isotope-item {
    -webkit-transition-duration: 0.8s;
    -moz-transition-duration: 0.8s;
    -ms-transition-duration: 0.8s;
    -o-transition-duration: 0.8s;
    transition-duration: 0.8s;
}

.isotope {
    -webkit-transition-property: height, width;
    -moz-transition-property: height, width;
    -ms-transition-property: height, width;
    -o-transition-property: height, width;
    transition-property: height, width;
}

.isotope .isotope-item {
    -webkit-transition-property: -webkit-transform, opacity;
    -moz-transition-property: -moz-transform, opacity;
    -ms-transition-property: -ms-transform, opacity;
    -o-transition-property: -o-transform, opacity;
    transition-property: transform, opacity;
}

/**** disabling Isotope CSS3 transitions ****/

.isotope.no-transition,
.isotope.no-transition .isotope-item,
.isotope .isotope-item.no-transition {
    -webkit-transition-duration: 0s;
    -moz-transition-duration: 0s;
    -ms-transition-duration: 0s;
    -o-transition-duration: 0s;
    transition-duration: 0s;
}